# $Id: ruby-password.spec,v 1.13 2003/06/11 06:52:35 ianmacd Exp $
#

Summary: password handling library for Ruby, including interface to CrackLib
Name: ruby-password
Version: 0.4.0
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby, cracklib, cracklib-dicts
Requires: ruby-termios, cracklib, cracklib-dicts
%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )
%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
Ruby/Password is a collection of password handling routines for Ruby,
including an interface to CrackLib for the purposes of testing password
strength.

%prep
%setup

%build
ruby extconf.rb
make
#make docs

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_mandir}/man3
install doc/password.3 $RPM_BUILD_ROOT%{_mandir}/man3/password.3
gzip -9 $RPM_BUILD_ROOT%{_mandir}/man3/password.3
find $RPM_BUILD_ROOT -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc -P CHANGES COPYING INSTALL README
%doc -P example/ doc/password.html

%changelog
* Wed Jun 10 2003 Ian Macdonald <ian@caliban.org> 0.4.0-1
- 0.4.0
- when a bad dictionary path is provided to Password#check, a
  Password::BadDictionary exception is now raised
- turn off Ruby buffering for Password.getc, as this resulted in the prompt
  not being displayed when called by Ruby 1.8

* Wed Oct  2 2002 Ian Macdonald <ian@caliban.org> 0.3.0-1
- 0.3.0
- Password#check now raises a Password::WeakPassword exception when provided
  with a weak password

* Sat Sep 28 2002 Ian Macdonald <ian@caliban.org> 0.2.1-1
- 0.2.1
- portability enhancements from Akinori MUSHA <knu@iDaemons.org>

* Wed Sep 18 2002 Ian Macdonald <ian@caliban.org> 0.2.0-1
- 0.2.0
- Password#check now returns true on success, and raises a Crack::WeakPassword
  exception on failure

* Tue Jun 18 2002 Ian Macdonald <ian@caliban.org> 0.1.1-1
- 0.1.1
- Password.get now returns an instance of Password, not String
- Password.new now defaults to assigning a null string

* Tue Jun 18 2002 Ian Macdonald <ian@caliban.org> 0.1.0-1
- 0.1.0
